<style><?php include 'vendor/bootstrap.min.css'; ?></style>
<style><?php include 'css/pgc-style.css'; ?></style>
<div class="wrap">

    <div class="row page-login">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <div class="head">
                <a href="https://gerarcertificado.com.br" target="_blank">
                    <img class="pgc-logo" src="<?php echo plugins_url( 'images/logo.png', __FILE__ ); ?>"/>
                </a>
            </div>
            <div id="painel-login" class="row"> 
                <div class="col-md-6">         
                    <h1>Para utilizar os serviços do Gerar Certificado você precisa criar uma conta.</h1><br/>
                    <p>Após a criação e ativação de sua conta no nosso site, através de um processo bem rápido, você já poderá iniciar o uso do seu plugin wordpress.</p>
                    <p class="small">Atenção: para utilizar o plugin de forma completa você precisa ter uma conta premium.</p><br/>
                    <a class="btn btn-primary" href="https://gerarcertificado.com.br/criar-conta.php" target="_blank">Acessar o site e criar conta</a>
                </div>
                <div class="col-md-2"></div>
                <div class="col-md-4">
                    <h1>Já tenho uma conta</h1>
                    <form id="form-login" method="POST" onsubmit="login(jQuery('#pgc-email').val(), jQuery('#pgc-senha').val()); return false;">
                        <input type="hidden" name="logar" value="true"/>
                        <div class="form-group">
                            <label for="pgc-email">E-mail</label>
                            <input type="email" class="form-control" id="pgc-email" name="pgc-email" value="">
                        </div>
                        <div class="form-group">
                            <label for="pgc-senha">Senha</label>
                            <input type="password" class="form-control" id="pgc-senha" name="pgc-senha">
                        </div>
                        <button type="submit" class="btn btn-primary">Entrar</button>
                        <a href="https://gerarcertificado.com.br/esqueci-senha.php" type="button" class="btn btn-link" target="_blank">Perdi a senha</a>
                    </form>
                </div>
            </div>
        </div>        
        <div class="col-md-2"></div>
    </div>    

    <div class="row aplicacao">
        <div class="col-md-9">
            <div class="title-abas">
                <h1>Siga os passos para gerar seus certificados</h1>
            </div>
            <div class="nav-abas">
                <div id="nav-aba-1" class="col-md-3 nav-aba habilitado current" onclick="selecionaPasso(1)">
                    <span id="ok-1" class="dashicons dashicons-yes"></span>
                    1º - Modelo de certificado
                </div>
                <div id="nav-aba-2" class="col-md-3 nav-aba">
                    <span id="ok-2" class="dashicons dashicons-yes"></span>
                    2º - Dados dos participantes
                </div>
                <div id="nav-aba-3" class="col-md-3 nav-aba">
                    <span id="ok-3" class="dashicons dashicons-yes"></span>
                    3º - Dados do curso
                </div>
                <div id="nav-aba-4" class="col-md-3 nav-aba">
                    <span id="ok-4" class="dashicons dashicons-yes"></span>
                    4º - Gerar os certificados
                </div>
            </div>
            <div class="abas">
                <div id="aba-1" class="row aba current">
                    <div class="col-md-12">
                        <h2>Defina o modelo de certificado que vai utilizar <span class="label label-default">Passo 1/4</span></h2>
                        <p>Você pode escolher entre os modelos pré-definidos ou enviar um modelo seu</p>
                        <div class="content">
                            <div class="row">
                                <div class="col-md-6 col-sm-12">
                                    <div id="modelos"> 
                                        <h3>Nossos modelos</h3>   
                                        <div class="certificados"></div>  
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div id="modelos_usuario"> 
                                        <h3>Seus modelos</h3>
                                        <p>Podendo incluir <strong>Logos e assinaturas</strong></p>   
                                        <div class="certificados"></div>
                                        <a id="btn-cadastro-modelo" class="btn btn-warning" onclick="informarCadastroModelo();">Incluir um modelo personalizado</a>
                                        <form id="form-novo-modelo" enctype="multipart/form-data" method="POST" onsubmit="criaModeloNovo(); return false;">
                                            <hr/>    
                                            <p>
                                                <strong>Você pode enviar qualquer modelo de certificado, mas atenção às especificações técnicas:</strong>
                                                <ul>
                                                    <li>O arquivo deve ser enviado em formato <strong>jpg</strong>;</li>
                                                    <li>O arquivo deve ter no máximo <strong>250kb</strong>;</li>
                                                    <li>Tamanho de <strong>1811x1299px</strong>. Este é o tamanho recomendável para que seu certificado A4 fique melhor configurado;</li>
                                                    <li>A fonte utilizada para a geração de certificados, é a <strong>fonte Helvetica com tamanho de 12pt</strong>;</li>
                                                    <li>Caso deseje <strong>incluir logo e assinatura</strong> nos certificados, as mesmas devem fazer parte da imagem de modelo que você vai enviar.</li>
                                                </ul>
                                            </p>
                                            <div class="form-group">
                                                <input id="input-form-modelo" class="fileupload" name="arquivo" type="file"/>
                                            </div>
                                            <input class="btn btn-primary" type="submit" value="Enviar modelo"/>
                                        </form>
                                    </div>  
                                    <div id="banner-modelo-personalizado">
                                        <img src="<?php echo plugins_url( 'images/img-chamada-modelos.png', __FILE__ ); ?>"/>
                                        <h3>Está sem inspiração?</h3>
                                        <p>Oferecemos o serviço de criação de modelo de certificado personalizado.</p>
                                        <a class="btn btn-info" href="https://gerarcertificado.com.br/carrinho-modelo-certificado.php" target="_blank">Saiba mais e contrate aqui</a>
                                    </div>
                                </div>
                            </div>                        
                        </div>
                        <div class="acoes">
                            <a class="btn btn-lg btn-primary btn-to-2 desabilitado">
                                Próximo passo <span class="dashicons dashicons-arrow-right-alt2"></span>
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-2" class="row aba">
                    <div class="col-md-12">
                        <h2>Envie os dados dos participantes/alunos <span class="label label-default">Passo 2/4</span></h2>
                        <p>Você pode cadastrar manualmente ou tem a opção de enviar um arquivo excel se utilizar nosso site</p>
                        <div class="content">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id="envio_manual">
                                        <form id="form-manual-aluno" onsubmit="return false">
                                            <p>Para incluir manualmente, escreva os nomes dos participantes/alunos no campo abaixo (um por linha)</p>
                                            <div id="dados">
                                                <div class="dados">
                                                    <input type="text" class="form-control" name="nome" placeholder="Nome completo" onblur="atualizarAlunosManualmente();"/>
                                                    <input type="email" class="form-control" name="email" placeholder="E-mail (opcional)" onfocus="addLinhaCadastroManual(false);" onblur="atualizarAlunosManualmente();"/>
                                                    <div class="acoes">
                                                        <button type="button" class="btn btn-danger remove" onclick="removeLinhaCadastroManual(jQuery(this));" style="display: none;">
                                                        <span class="dashicons dashicons-minus"></span>
                                                        </button>
                                                        <button type="button" class="btn btn-success add" onclick="addLinhaCadastroManual(true);">
                                                            <span class="dashicons dashicons-plus-alt2"></span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>                                                                
                                </div>
                            </div>
                        </div>
                        <div class="acoes">
                            <a class="btn btn-lg btn-outline-primary" onclick="selecionaPasso(1)">
                                <span class="dashicons dashicons-arrow-left-alt2"></span> Passo anterior
                            </a>
                            <a class="btn btn-lg btn-primary btn-to-3 desabilitado">
                                Próximo passo <span class="dashicons dashicons-arrow-right-alt2"></span>
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-3" class="row aba">
                    <div class="col-md-12">
                        <h2>Preencha os dados do curso <span class="label label-default">Passo 3/4</span></h2>
                        <p>Estes dados servirão para preencher o seu modelo de certificado escolhido na etapa 1</p>
                        <div class="content">
                            <div id="dados-curso">
                                <form id="form-dados-curso" onsubmit="return false">
                                    <div class="form-group">
                                        <label for="curso">Título do curso ou palestra</label>
                                        <input type="text" class="form-control" id="curso" name="curso" onblur="verificaDadosCurso()">                                    
                                        <p class="small">Exemplo: Palestra para a construção civil</p>
                                    </div>
                                    <div class="form-group">
                                        <label for="palestrante">Nome do professor, instrutor ou palestrante (opcional)</label>
                                        <input type="text" class="form-control" id="palestrante" name="palestrante" onblur="verificaDadosCurso()">
                                        <p class="small">Exemplo: Pedro Paulo</p>
                                    </div>
                                    <div class="form-group">
                                        <label for="data">Realizado(a)</label>
                                        <input type="text" class="form-control" id="data" name="data" onblur="verificaDadosCurso()">
                                        <p class="small">Exemplo: em 14 de agosto de 2020</p>
                                    </div>
                                    <div class="form-group">
                                        <label for="local">Cidade ou local da realização (opcional)</label>
                                        <input type="text" class="form-control" id="local" name="local" onblur="verificaDadosCurso()">
                                        <p class="small">Exemplo: Florianópolis/SC</p>
                                    </div>
                                    <div class="form-group">
                                        <label for="carga-horaria">Carga horária</label>
                                        <input type="text" class="form-control" id="carga-horaria" name="carga-horaria" onblur="verificaDadosCurso()">
                                        <p class="small">Exemplo: 12 horas</p>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="acoes">
                            <a class="btn btn-lg btn-outline-primary" onclick="selecionaPasso(2)">
                                <span class="dashicons dashicons-arrow-left-alt2"></span> Passo anterior
                            </a>
                            <a id="btn-passo-final" class="btn btn-lg btn-primary btn-to-4 desabilitado">
                                Passo final <span class="dashicons dashicons-arrow-right-alt2"></span>
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-4" class="row aba">
                    <div class="col-md-12">
                        <h2>Esta pronto pra gerar os certificados! <span class="label label-default">Passo 4/4</span></h2>
                        <p>Confira sua lista de participantes/alunos.</p>
                        <p>Para o primeiro nome da lista você pode gerar um certificado de teste. Caso perceba que algo não tenha ficado como esperado, você ainda pode voltar aos passos anteriores.</p>
                        <p>Depois de tudo conferido basta marcar as ciências, clicar no botão para gerar todos os certificados e aguardar a emissão de todos.</p>
                        <p>Lembre-se: Cada certificado terá um código para que ele possa ser validado em nossa ferramenta. Ao validar será informado seu nome, e-mail e a data de emissão de cada certificado.</p>
                        <div class="content">
                            <div id="rodar-algoritmo">                                    
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th width="54px">#</th>
                                            <th>Nome</th>
                                            <th>
                                                <input type="checkbox" id="enviarTodos" checked="checked" onclick="selectEnviarTodosCertificados(jQuery(this))"> Enviar automaticamente
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>                                    
                                        <tr class="creditos">
                                            <td colspan="3">
                                                <p id="qtdCreditosAUtilizar-emissao" class="small">
                                                    Total de <strong><span>0</span> créditos</strong> serão utilizados nas emissões
                                                </p>
                                                <p id="qtdCreditosAUtilizar-envio" class="small">
                                                    Total de <strong><span>0</span> créditos</strong> serão utilizados nos envios
                                                </p>
                                            </td>
                                        </tr>
                                        <tr class="alerta">
                                            <td colspan="3">
                                                <p id="faltaCreditos" class="small">    
                                                    O seu saldo atual de créditos é de <strong><span>0</span></strong>. Compre mais créditos ou selecione menos e-mails para enviar automaticamente.<br><br>
                                                    <a class="btn btn-sm btn-outline-primary" onclick="jQuery('#enviarTodos')[0].click();">Não desejo enviar por e-mail<a> <a class="btn btn-sm btn-primary" href="https://gerarcertificado.com.br/carrinho.php" target="_blank">Comprar mais créditos<a>
                                                </p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="ciencias">
                            <label>
                                <input id="ciencia-2" type="checkbox"> <strong>Estou ciente</strong> que não devo fechar o navegador durante o processo de emissão</strong>
                            </label><br/>
                            <label>
                                <input id="ciencia-1" type="checkbox"> <strong>Estou ciente</strong> que ao iniciar o processo de emissão não poderei mais alterar qualquer dado para este grupo de alunos</strong>
                            </label>                        
                        </div>
                        <div class="acoes">                        
                            <a class="btn btn-lg btn-outline-primary" onclick="selecionaPasso(3)">
                                <span class="dashicons dashicons-arrow-left-alt2"></span> Passo anterior
                            </a>
                            <a id="btn-gerar-todos" class="btn btn-lg btn-primary desabilitado" onclick="iniciarGerarEmLote('wp')">
                                <span class="dashicons dashicons-awards"></span> Gerar todos certificados
                            </a>
                        </div>
                    </div>
                </div>
                <div id="aba-5" class="row aba">
                    <div class="col-md-12">
                        <h2>Obrigado por utilizar a ferramenta!</h2>
                        <p>Agora você pode fazer o download de cada certificado individualmente e salvar em seu dispositivo.</p>
                        <p>Caso tenha optado pelo envio automático por e-mail, o(s) mesmo(s) já encontram-se na fila para envio. Após fazer o download abaixo, acompanhe o envio através do seu histórico de uso na sessão Minha conta</p>
                        <div class="content">
                            <div id="sucesso">                                    
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th width="54px">#</th>
                                            <th>Nome</th>
                                            <th>Certificado</th>
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-3">
            <div class="head">
                <a href="https://gerarcertificado.com.br" target="_blank">
                    <img class="pgc-logo" src="<?php echo plugins_url( 'images/logo.png', __FILE__ ); ?>"/>
                </a>
            </div>
            <div id="sua-conta">
                <h1>Detalhes de sua conta</h1>
                <h4>
                    Seu saldo de créditos: <span class="saldo"></span>*
                </h4>
                <a class="btn btn-primary" href="https://gerarcertificado.com.br/carrinho.php" target="_blank"><span class="dashicons dashicons-plus-alt"></span> Comprar mais créditos</a><br/><br/>
                <p>
                    *Com seu saldo de créditos atuais você pode emitir <strong><span class="saldo"></span> certificados válidos via plugin Wordpress</strong>, ou ainda <strong><span class="saldoDiv2"></span> certificados válidos via plugin Wordpress e enviá-los automaticamente por e-mail</strong> aos participantes/alunos.
                </p>
                <br/>
                <div class="d-grid gap-2">
                    <a class="btn btn-sm btn-outline-secondary" href="https://gerarcertificado.com.br/minha-conta.php" target="_blank"><span class="dashicons dashicons-admin-generic"></span> Alterar dados da conta ou senha</a>
                    <a class="btn btn-sm btn-outline-secondary" href="https://gerarcertificado.com.br/minha-conta.php" target="_blank"><span class="dashicons dashicons-backup"></span> Consultar o histórico de emissões</a>
                </div>
            </div>
        </div>
    </div>    

    <div id="myModal" class="modal fade" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="form-modelo" method="POST">
                        <input type="hidden" id="margem_superior" name="margem_superior"/>
                        <input type="hidden" id="margem_inferior" name="margem_inferior"/>
                        <input type="hidden" id="margem_esquerda" name="margem_esquerda"/>
                        <input type="hidden" id="margem_direita" name="margem_direita"/>
                        <div class="form-group">
                            <label for="curso">Título do modelo</label>
                            <div class="input-group">
                                <input type="text" class="form-control" id="nome" name="nome">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="curso">Cor dos textos</label>
                            <div class="input-group">
                                <input type="color" class="form-control" id="cor" name="cor" onchange="alteraCorTexto()">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="curso">Posição dos textos</label>
                            <div class="modelo-simulado">
                                <img id="img-modelo" src=""/>
                                <div class="texto-modelo-simulado">
                                    <p>Certificamos que</p>
                                    <p class="grande1">Nome do aluno</p><br/>
                                    <p>participou da palestra/curso</p>
                                    <p class="grande2">título da palestra ou curso</p><br/>
                                    <p>ministrada por</p>
                                    <p class="grande2">Nome do instrutor</p><br/>
                                    <p>realizada em Agosto/2020, São José/SC.</p><br/>
                                    <p>Com carga horária de 300 horas</p>
                                    <div class="controles">
                                        <div class="controle up">
                                            <a class="btn btn-outline-primary" onclick="moverTextos('up')">
                                                <span class="dashicons dashicons-arrow-up-alt"></span>
                                            </a>
                                        </div>
                                        <div class="controle right" onclick="moverTextos('right')">
                                            <a class="btn btn-outline-primary">
                                                <span class="dashicons dashicons-arrow-right-alt"></span>
                                            </a>
                                        </div>
                                        <div class="controle down" onclick="moverTextos('down')">
                                            <a class="btn btn-outline-primary">
                                                <span class="dashicons dashicons-arrow-down-alt"></span>
                                            </a>
                                        </div>
                                        <div class="controle left" onclick="moverTextos('left')">
                                            <a class="btn btn-outline-primary">
                                                <span class="dashicons dashicons-arrow-left-alt"></span>
                                            </a>
                                        </div>
                                    </div>                    
                                </div>
                                <img class="simula-validade" src="<?php echo plugins_url( 'images/img-simulado-validade.png', __FILE__ ); ?>"/>    
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-primary" data-dismiss="modal">Cancelar</button>
                    <button id="salvar" type="button" class="btn btn-primary">Salvar</button>
                </div>
            </div>
        </div>
    </div>
    
</div>

<script><?php include 'vendor/bootstrap.min.js'; ?></script>
<script><?php include 'js/pgc-aplicacao.js'; ?></script>
<script>
    jQuery(window).ready(function(){
        initAplicacao();
    });
</script>    